Mailinglist Archive: opensuse-bugs (4202 mails)

< Previous Next >
[Bug 688614] hpijs fails with "unable to open PrintContext object err=2" for the "hp" backend for some HP network printers (it works with the "socket" backend)

https://bugzilla.novell.com/show_bug.cgi?id=688614

https://bugzilla.novell.com/show_bug.cgi?id=688614#c34


--- Comment #34 from Johannes Meixner <jsmeix@xxxxxxxx> 2012-01-10 09:48:40 UTC
---
Regarding comment #31 "somehow related to OpenSUSE's implementation
of CUPS (version 1.5.0) or hplip (3.11.10)":

We neither have patches for CUPS nor for HPLIP which could cause
such an issue - i.e. we do not implement special stuff there.
We provide both CUPS and HPLIP "as is" from upstream.

Nevertheless something in the openSUSE environment (e.g. whatever
lower level libraries or complier settings or whatever else)
might make a difference which could cause issues which happen
only in the openSUSE environment.

But I guess CUPS 1.5.0 and HPLIP 3.11.10 have this issue on any
Linux distribution.

In particular in comment #33 "the hpijs driver works fine as long
as you use the socket:// connection instead of the standard hp:/net
connection for the DeviceURI" indicates that it is an issue in
HPLIP 3.11.10 (all their own drivers should work together with
all connection types of their own backend).

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
This Thread
  • No further messages